aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2016-03-30 14:45:44 +0300
committerTimo Teräs <timo.teras@iki.fi>2016-03-30 14:45:44 +0300
commit9ef86a1b1753522d13f37004fb03f485b8f75451 (patch)
tree253be3941699ebe3ffa031e71a35d74a895fe579
parent245332062f9544ecfac19df2c52c81f0b15a048e (diff)
downloadaports-9ef86a1b1753522d13f37004fb03f485b8f75451.tar.gz
aports-9ef86a1b1753522d13f37004fb03f485b8f75451.tar.bz2
aports-9ef86a1b1753522d13f37004fb03f485b8f75451.tar.xz
main/perl-module-pluggable: upgrade to 5.2
-rw-r--r--main/perl-module-pluggable/APKBUILD16
1 files changed, 8 insertions, 8 deletions
diff --git a/main/perl-module-pluggable/APKBUILD b/main/perl-module-pluggable/APKBUILD
index 6d0bf17900..96a71dc205 100644
--- a/main/perl-module-pluggable/APKBUILD
+++ b/main/perl-module-pluggable/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: Timo Teräs <timo.teras@iki.fi>
pkgname=perl-module-pluggable
_pkgreal=Module-Pluggable
-pkgver=5.1
+pkgver=5.2
pkgrel=0
pkgdesc="automatically give your module the ability to have plugins"
url="http://search.cpan.org/dist/Module-Pluggable/"
@@ -12,7 +12,7 @@ license="GPL PerlArtistic"
cpandepends=""
cpanmakedepends=" "
depends="$cpandepends"
-makedepends="perl-dev $cpanmakedepends perl-module-build"
+makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/S/SI/SIMONW/$_pkgreal-$pkgver.tar.gz"
@@ -21,21 +21,21 @@ _builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- perl Build.PL installdirs=vendor || return 1
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- ./Build && ./Build test
+ make && make test
}
package() {
cd "$_builddir"
- ./Build install destdir="$pkgdir" || return 1
+ make DESTDIR="$pkgdir" install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="1b71ed7a67ad8c048d1499540bc892ba Module-Pluggable-5.1.tar.gz"
-sha256sums="e2dc354043bb16f1f3df8c4bb26070b26e594819f218cf8b8ac19e79c720916f Module-Pluggable-5.1.tar.gz"
-sha512sums="2ed43516ff18f50ac494f6365296f42e7dfc6704a2b01d3661ca00c295ee378184757cb03381400fba8bc5f2df06241f2ee9ecf930af4d498b042c68069a670b Module-Pluggable-5.1.tar.gz"
+md5sums="87ce2971662efd0b69a81bb4dc9ea76c Module-Pluggable-5.2.tar.gz"
+sha256sums="b3f2ad45e4fd10b3fb90d912d78d8b795ab295480db56dc64e86b9fa75c5a6df Module-Pluggable-5.2.tar.gz"
+sha512sums="7df8ee6713c8e0d4df756736c43c2033632cb8887c82ed5b9f38476dbf402b5daa3af83d3b2bd1228afb020ce5855831812f86299b63518e04e0929390b0c5f5 Module-Pluggable-5.2.tar.gz"